        /**************************
            LAYOUT
        **************************/
        
        .predictiveTravelWrp /*wrapper for the whole content area*/
        {
            background: none repeat scroll 0 0 #EEEEEE;
            border-radius: 5px 5px 5px 5px;
            padding:10px;
            margin-left:10px;
            }
        
        .predictiveTravelSidebarWrp /*wrapper for the sidebar that holds the form fields and minimap*/
        {
            float:left;
            width:369px;
            padding:10px;
            /*position:relative;*/
            z-index:2;
        }
        
        .predictiveTravelSaveboxWrp /*wrapper for 'Save feature' checkboxes*/
        {
            clear: both;
        }
        
        .predictiveTravelGooglemapWrp /*wrapper for the google map*/
        {
            float:left;
            width:420px;
            margin: 20px 5px 0 35px;
            border: 5px solid #666666;
            position:relative;
            z-index:1;
        }
        
         /*************************************
            LEFT MAP AREA
        *************************************/
        
        .mapBorder /*border effect for the google map*/
        {
            border:7px solid rgb(90,90,105);   
        }
        
        /*************************************
            USER INPUT AREA
        *************************************/
        
        .userAddressStyles, /*wrapper for the entire origin area*/
        .userDestinationStyles /*wrapper for the entire destination area*/
        { 
            width:100%;
           /* position:relative; */
        }
        
        .userAddressStyles label, /*The main labels*/
        .userDestinationStyles label
        {
            /*font-size:1.4em;*/
            line-height:2em;
            display:block;
            width:100%;
        }
                    
        .userAddressStyles /*adds some separation between origin and destination area*/
        {
            margin-bottom:30px;      
        }

        .predictiveSuggestionsWrapper_PositioningContainer
        {
            position:relative;
            left:-3px;
        }

        .predictiveSuggestionsWrapper /*wrapper for the dropdown with suggestions*/
        {
            position:absolute; 
            width:357px; 
            left:0px;
            font-weight:400;
           font-size:12px;
           z-index:999;
        }
        
        
        .editWindow .predictiveSuggestionsWrapper
        {
            width:313px;
            left:0px;
            }
            
            .predictiveTextBoxWrapper
            {
                width:425px;
                }
            
            .predictiveTextBoxWrapper input[type=text]
            {
                border:1px solid #c5c5c5;
                }
                
        .predictiveTextResults /*container for google predictions*/
        {
            width:420px;   
        }
        
        .defaultTextLinkDivEven, /*containers that hold preset addresses in the dropdown menu*/
        .defaultTextLinkDivOdd,
        .defaultSelectedEven,
        .defaultSelectedOdd,
        .predictiveTextLinkDivEven, /*containers that hold google predictions*/
        .predictiveTextLinkDivOdd,
        .predictiveTextLinkSelectedEven,
        .predictiveTextLinkSelectedOdd,
        .predictiveSelectedEven,
        .predictiveSelectedOdd
        {
            padding:5px 5px 5px 3px;
        }
        
        .defaultTextLinkDivEven, /*default style for the dropdown address containers*/
        .defaultTextLinkDivOdd,
        .predictiveTextLinkDivEven, /*default style for the dropdown google predictions*/
        .predictiveTextLinkDivOdd,
        .predictiveSelectedEven,
        .predictiveSelectedOdd
        {
            color:rgb(90,90,105); 
            border-radius:2px;
            margin:2px 0px;
        }
                
        .defaultSelectedEven, /*styles for when you hover on the dropdown address containers*/
        .defaultSelectedOdd,
        .predictiveTextLinkSelectedEven,
        .predictiveTextLinkSelectedOdd,
        .predictiveSelectedEven,
        .predictiveSelectedOdd
        {
            background:rgb(90,90,105);
        }
                
        .defaultSelectedEven,
        .defaultSelectedEven a,
        .defaultSelectedEven a:hover,
        .defaultSelectedEven a:active,
        .defaultSelectedEven a:visited,
        .defaultSelectedOdd,
        .defaultSelectedOdd a,
        .defaultSelectedOdd a:hover,
        .defaultSelectedOdd a:active,
        .defaultSelectedOdd a:visited,
        .predictiveTextLinkSelectedEven,
        .predictiveTextLinkSelectedEven a,
        .predictiveTextLinkSelectedEven a:hover,
        .predictiveTextLinkSelectedEven a:active,
        .predictiveTextLinkSelectedEven a:visited,
        .predictiveTextLinkSelectedOdd,
        .predictiveTextLinkSelectedOdd a,
        .predictiveTextLinkSelectedOdd a:hover,
        .predictiveTextLinkSelectedOdd a:active,
        .predictiveTextLinkSelectedOdd a:visited,
        .predictiveSelectedEven,
        .predictiveSelectedOdd
        {
            color:rgb(255,255,255);
            text-decoration:none; 
            border-radius:2px;
            margin:2px 0px;
        }
                
                
        .predictiveTextLinkDivOdd /*The container for an individual google result*/
        {
            background-color:#fff;
            border-radius:2px;
            margin:2px 0px;
        }
        
        .predictiveTextLinkDivEven /*The container for an individual google result*/
        {
            border-radius:2px;
            margin:2px 0px;
        }
        
        .predictiveTextBox /*The text input field*/
        {
           
        }
        
        .predictiveTextLink /*The a element for an individual google result*/
        {
            color:inherit;
            background-color:inherit;
            font-family:Calibri, Arial, Sans-Serif;
            font-weight:600;
        }

        .defaultTextLinkDivOdd /*The container for an individual server result*/
        {
            background-color:#E8E8E8;
        }
        
        .defaultTextLinkDivEven /*The container for an individual server result*/
        {
            background-color:#FFFFFF;
        }

.predictiveTextLinkDivEven.SelectedAddressItem,
.predictiveTextLinkDivOdd.SelectedAddressItem,
.predictiveTextLinkDivEven:hover,
.predictiveTextLinkDivOdd:hover
{
    background:#5A5A69;
    color:#fff;
    cursor:pointer;
}

.predictiveTextLinkDivEven.SelectedAddressItem .highlightedSearchText,
.predictiveTextLinkDivOdd.SelectedAddressItem .highlightedSearchText
{
        color:#45A1F5
}
        
        .defaultTextLink /*The a element for an individual server result*/
        {
            color:inherit;
            background-color:inherit;
            font-family:Calibri, Arial, Sans-Serif;
            display:inline-block;
            width:95%;  
            border-radius:2px;
            margin:2px 0px;
        }
           
        .deleteUserCustomAddressButton /*The x that deletes the address*/
        {
            display:inline-block;
            vertical-align:baseline;
            line-height:27px;
        }
        
        .predictiveTextResults /*The container for the dropdown list of google results*/
        {
            padding:1px 2px 1px 2px;
            display:none;
            overflow:auto;
            position:relative;
            background-color:White;  
            z-index:999;
            margin-left:0px;
            border-radius:0px 0px 5px 5px;
            border:7px solid #E8E8E8;
            border-right-width:19px;
        }
        
        .serverGeneratedTextResults /*container for the dropdown list of server results*/
        {
            padding:1px 2px 1px 2px;
            height: auto !important;
            overflow:auto;
            display:none;
            background-color:White;  
            z-index:999;
            position:relative;
            margin-left:0px;
            border-radius:0px 0px 5px 5px;
            border:7px solid #E8E8E8;
            border-right-width:19px;
        }
        
         .predictiveTextResults, .serverGeneratedTextResults
        {
            width:100%;
            left:0px;
            border:1px solid #c5c5c5;
            border-top:0px;
            padding:5px;
            background:#E8E8E8;
            max-height:158px;
            }
        
       
       .siftReplacements,
       .highlightedSearchText /*The styles for the text that google is matching as you type*/
        {
            color:#45A1F5;
            font-size:1.1em;
        }
        
        .defaultAddressTitle /*The user's name for an individual server item*/
        {
            font-weight:600;
            font-size:1.1em;
        }
        
        .textboxBorder /*border effect for the text input fields*/
        {   
            display: flex;
            flex-direction: row;
            border: 1px solid #C5C5C5;
            border-radius: 5px 5px 5px 5px;
            clear: both;
            padding: 2px;
        }

            .textboxBorder.validAddress /*border effect for the text input fields*/
            {
                border-color:green;
            }


        .predictiveTextBoxWrapper /*The container for the input field and the dropdown list*/
        {
            float:left;
            width:310px;
            position:relative;
        }
        
        .editWindow .predictiveTextBoxWrapper
        {
            width:267px;
            }
            
            .editWindow .textboxBorder
            {
                margin: 0;
                }
            
        .predictiveTextBoxWrapper input[type=text] /*the input field*/
        {
            width:100%;
        }
        
        .clickOnMap /*the container for the pop-up map button*/
        {
            float:left;
            margin-left:20px;
            margin-right:-4px;
        }
        
        .editWindow .clickOnMap
        {
           /* right:-11px; */
            }
                
        .clickOnMap a /*the pop-up map button*/
        {
            background: url("/Images/commutetracker/MapIconSMALL.png") no-repeat scroll center center transparent;
            border-radius: 3px 3px 3px 3px;
            display: block;
            font-size: 0;
            height: 24px;
            line-height: 0;
            white-space: nowrap;
            width: 35px;
            }
            
        .clickOnMap a:hover /*The pop-up map button hover effect*/
        {
            background-size:24px;
        }
        
        .clickableMap /*The google map for setting locations*/
        {
            width:450px;
            height:400px;
        }
        
        .miniMapContainer /*The container for the pop-up google map*/
        {
            background: none repeat scroll 0 0 #FFFFFF;
            border: 2px solid #848484;
            border-radius: 5px 5px 5px 5px;
            box-shadow: 0 0 5px #848484;
            display: none;
            padding: 26px 5px 5px;
            position: absolute;
            left: 0px;
            top: 25px;
            width: 450px;
            z-index: 2;
            /*
			box-shadow:
			0px 0px 1px rgba(0,200,255,.3),
			0px 0px 10px rgba(0,200,255,.3)
			;
			border-color:#0cf;
			border-color:rgba(0,200,255,.3);
            */          
            }
            
            .miniMapContainer .googleCancelButton
            {
                position:absolute;
                top:1px;
                right:10px;
                }

				.miniMapContainer .btn.btn-PTBselectPOI
				{
					    background-color: #1163a2;  
						color: #fff;  
						font-weight: bold;
						padding: 3px 8px;    font-size: 13px;  
					
						margin-bottom: 5px;

				}

        /*************************************
            SAVE ADDRESS AREA
        *************************************/
        
        .predictiveTravelSaveboxWrp span, /*Labels for fields in the SAVE area*/
        .predictiveTravelSaveboxDetailsWrp span
        {
            line-height:26px;
        }
                
        .predictiveTravelSaveboxWrp input, /*address name input field*/
        .predictiveTravelSaveboxDetailsWrp input
        {
            vertical-align:middle;   
        }
                
        .btnSaveAddress /*container for the save address button*/
        {
            margin-top:15px;
            background: none repeat scroll 0 0 #E5E5E5;
            border: 1px solid #999999;
            border-radius: 3px 3px 3px 3px;
            box-shadow: 1px 1px 0 rgba(255, 255, 255, 0.6) inset, -1px -1px 0 rgba(0, 0, 0, 0.3) inset, 1px 1px 3px rgba(0, 0, 0, 0.3);
            display:inline-block;
        }
                
        .btnSaveAddress input /*the save address button*/
        {
            border:none;
            cursor:pointer;
            padding:0.3em 0.6em;
        }
                
        .btnSaveAddress input:hover /*the save address button hover effect*/
        {
            background-color:#D5D5D5;   
        }
                
        .btnSaveAddress input:active /*the save address button down effect*/
        {
            box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3) inset, 1px 1px 1px rgba(255, 255, 255, 0.6);         
        }
        
        
        .editWindow input[type=text]
        {
            border: 1px solid #C5C5C5;
            border-radius: 3px 3px 3px 3px;
            box-shadow: none;
            text-indent: 1px;  
            padding:3px 0px;          
            }
            
            
            /**********************     ADDRESS CONTROLS CHANGE TO ARROW THING   ************/
            
        .predictiveTextBoxWrapper input[type=text]
        {
            border: 1px solid #C5C5C5;
            border-radius: 3px 3px 3px 3px;
            box-shadow: none;
            text-indent: 1px;  
            padding:3px 15px 3px 3px;  
            background:url("/Images/commutetracker/AddressControlsArrow.png") no-repeat scroll right -19px #FFFFFF;
            }
            
        .predictiveTextBoxWrapper input[type=text]:hover
        {
            background:url("/Images/commutetracker/AddressControlsArrow.png") no-repeat scroll right 2px #FFFFFF;
            cursor:pointer;
            }

            
       /* Pop UP Map Styles */
 .singleTripMapLargePicHolder iframe
{
    border: 1px solid #ddd;
}

.TextBoxHide .predictiveTravelSidebarWrp
{
    display:none !important;
   
}

.TextBoxHide .predictiveTravelGooglemapWrp
{
    margin:0;
    border:none;
}

 
.TextBoxLeft .predictiveTravelSidebarWrp
{
    float:left;
   
}

.TextBoxLeft .predictiveTravelGooglemapWrp
{
    float:left;
}


.TextBoxRight .predictiveTravelSidebarWrp
{
    float:right;
   
}

.TextBoxRight .predictiveTravelGooglemapWrp
{
    float:right;
}




.PTBSearchingIndicator {
color: green;
font-size: 10px;
/* margin-left: -130px; */
position: absolute;
top: 28px;
right: 72px;
}
